summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-12-31 19:36:04 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-12-31 19:36:04 +0300
commitd32e73806b05bac82d0bbdb09b9debdc6f9e327a (patch)
tree2cd95b4fab001da5bfe98ca9d13ed91d0fd6489d
parent8e558271a3ee058beec6625ef82acafe6377838e (diff)
wxGTK-3.0.3
filezilla version bump
-rw-r--r--net-ftp/filezilla/files/filezilla-3.22.1-debug.patch12
-rw-r--r--net-ftp/filezilla/filezilla-3.29.0.ebuild68
-rw-r--r--net-ftp/filezilla/metadata.xml18
-rw-r--r--x11-libs/wxGTK/wxGTK-3.0.3.1.ebuild (renamed from x11-libs/wxGTK/wxGTK-3.0.2.0-r4.ebuild)17
4 files changed, 104 insertions, 11 deletions
diff --git a/net-ftp/filezilla/files/filezilla-3.22.1-debug.patch b/net-ftp/filezilla/files/filezilla-3.22.1-debug.patch
new file mode 100644
index 0000000..71430db
--- /dev/null
+++ b/net-ftp/filezilla/files/filezilla-3.22.1-debug.patch
@@ -0,0 +1,12 @@
+--- filezilla-3.22.1/configure.ac
++++ filezilla-3.22.1/configure.ac
+@@ -36,9 +36,7 @@
+
+ if test "X$GCC" = Xyes; then
+ AX_APPEND_FLAG(-Wall, CFLAGS)
+- AX_APPEND_FLAG(-g, CFLAGS)
+ AX_APPEND_FLAG(-Wall, CXXFLAGS)
+- AX_APPEND_FLAG(-g, CXXFLAGS)
+ fi
+
+ # Do this early: Compiler and linker flags to work around a nasty bug in Xcode.
diff --git a/net-ftp/filezilla/filezilla-3.29.0.ebuild b/net-ftp/filezilla/filezilla-3.29.0.ebuild
new file mode 100644
index 0000000..80c8e19
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.29.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0"
+
+inherit autotools eutils flag-o-matic multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="http://filezilla-project.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.11.1
+ >=dev-libs/pugixml-1.7
+ net-dns/libidn
+ >=net-libs/gnutls-3.4.0
+ >=x11-libs/wxGTK-3.0.3.0:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( dev-util/cppunit )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
diff --git a/net-ftp/filezilla/metadata.xml b/net-ftp/filezilla/metadata.xml
new file mode 100644
index 0000000..13541a4
--- /dev/null
+++ b/net-ftp/filezilla/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>voyageur@gentoo.org</email>
+ <name>Bernard Cafarelli</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>polynomial-c@gentoo.org</email>
+ <name>Lars Wendler</name>
+ </maintainer>
+ <longdescription lang="en">
+ The native linux ftp/sftp client GUI built on wxGTK
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">filezilla</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-libs/wxGTK/wxGTK-3.0.2.0-r4.ebuild b/x11-libs/wxGTK/wxGTK-3.0.3.1.ebuild
index 802c874..f1daa60 100644
--- a/x11-libs/wxGTK/wxGTK-3.0.2.0-r4.ebuild
+++ b/x11-libs/wxGTK/wxGTK-3.0.3.1.ebuild
@@ -10,11 +10,10 @@ HOMEPAGE="http://wxwidgets.org/"
# we use the wxPython tarballs because they include the full wxGTK sources and
# docs, and are released more frequently than wxGTK.
-SRC_URI="mirror://sourceforge/wxpython/wxPython-src-${PV}.tar.bz2
- doc? ( mirror://sourceforge/wxpython/wxPython-docs-${PV}.tar.bz2 )"
+SRC_URI="https://github.com/wxWidgets/wxWidgets/releases/download/v${PV}/wxWidgets-${PV}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
-IUSE="+X aqua doc debug gstreamer libnotify opengl sdl tiff webkit"
+IUSE="+X aqua debug gstreamer libnotify opengl sdl tiff webkit"
SLOT="3.0"
@@ -58,15 +57,15 @@ PDEPEND=">=app-eselect/eselect-wxwidgets-20131230"
LICENSE="wxWinLL-3
GPL-2
- doc? ( wxWinFDL-3 )"
+ "
-S="${WORKDIR}/wxPython-src-${PV}"
+S="${WORKDIR}/wxWidgets-${PV}"
src_prepare() {
epatch "${FILESDIR}"/${PN}-3.0.x-gxx-abi.patch # relaxed cxx abi check
epatch "${FILESDIR}"/${PN}-3.0.0.0-collision.patch
- epatch "${FILESDIR}"/${P}-webview-fixes.patch
- epatch "${FILESDIR}"/${P}-gcc6.patch
+# epatch "${FILESDIR}"/${PN}-3.0.2.0-webview-fixes.patch
+# epatch "${FILESDIR}"/${PN}-3.0.2.0-gcc6.patch
epatch_user
for f in $(find "${S}" -name configure.in); do
@@ -146,10 +145,6 @@ multilib_src_install_all() {
newdoc base/readme.txt base_readme.txt
newdoc gtk/readme.txt gtk_readme.txt
- if use doc; then
- dodoc -r "${S}"/docs/doxygen/out/html
- fi
-
# Stray windows locale file, causes collisions
local wxmsw="${ED}usr/share/locale/it/LC_MESSAGES/wxmsw.mo"
[[ -e ${wxmsw} ]] && rm "${wxmsw}"